Page MenuHomePhabricator

Portal search field missing accessibility label, button misses discernible text
Closed, ResolvedPublic

Description

Search input

See https://adactio.com/journal/10910.

Looks like we need either:

  1. Text in aria-label attribute on the input field.
  2. OR; <label> element with text that wraps around the input field.
  3. OR; <label> element before the input field, associated via id/for. (This is what MediaWiki does, though broken due to T139427.)

In case of 2 or 3, the label could be hidden visually (as long as it's not ignored by screen readers).

Connected button

The button currently carries no text or hint on what it's meant to be for assistive technology

<button class="pure-button pure-button-primary-progressive" type="submit">
<i class="sprite svg-search-icon"></i>
</button>

Event Timeline

Krinkle created this task.Jul 5 2016, 9:33 PM
Restricted Application added a project: Discovery. · View Herald TranscriptJul 5 2016, 9:33 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Krinkle updated the task description. (Show Details)Jul 5 2016, 9:34 PM

Change 472097 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[wikimedia/portals@master] Provide input label for screen readers

https://gerrit.wikimedia.org/r/472097

Volker_E renamed this task from Portal search field missing accessibility label to Portal search field missing accessibility label, button misses discernible text.Nov 7 2018, 10:52 PM
Volker_E updated the task description. (Show Details)
Volker_E added a subscriber: debt.

Change 472372 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[wikimedia/portals@master] Add discernible text to search button

https://gerrit.wikimedia.org/r/472372

Change 472097 merged by jenkins-bot:
[wikimedia/portals@master] Provide input label for screen readers

https://gerrit.wikimedia.org/r/472097

Volker_E closed this task as Resolved.Nov 20 2018, 4:19 PM
Volker_E claimed this task.
Volker_E removed a project: Patch-For-Review.
Volker_E removed a subscriber: gerritbot.

Change 472372 merged by jenkins-bot:
[wikimedia/portals@master] Add discernible text to search button

https://gerrit.wikimedia.org/r/472372